MONGOC_CLIENT_ENCRYPTION_ENCRYPT_OPTS_SET_RANGE_OPTS(3)

NAME
mongoc_client_encryption_encrypt_opts_set_range_opts - mongoc_client_encryption_encrypt_opts_set_range_opts()

SYNOPSIS

void
mongoc_client_encryption_encrypt_opts_set_range_opts (
      mongoc_client_encryption_encrypt_opts_t *opts,
      const mongoc_client_encryption_encrypt_range_opts_t *range_opts);

IMPORTANT: The Range algorithm is experimental only and not intended for public use. It is subject to breaking changes. This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.24.0.

Sets the range_opts for explicit encryption. Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "RangePreview". It is an error to set range_opts when algorithm is not "RangePreview".

PARAMETERS

•   opts: A mongoc_client_encryption_encrypt_opts_t

•   range_opts: A mongoc_client_encryption_encrypt_range_opts_t

    SEE ALSO:
    mongoc_client_encryption_encrypt_range_opts_new()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc